function toggle(tipo,campo,tipoRes,campoRes){
	$(document).ready(function(){ 
		$(tipoRes+campoRes).toggle(   
			function(e){ 
				$(tipo+campo).slideUp();
				$(tipo+campo).text('Ocultar');
				//e.preventDefault();
				
			}, 
			function(e){ 
				$(tipo+campo).slideDown();
				//$(tipo+campo).text('Mostrar');
				//e.preventDefault();
				
			}
		);
	  
	}); 
}

function scrollAni(tipo,campo){
	var posicion = $(tipo+campo).offset().top;
	$("html, body").animate({
		scrollTop: posicion
	}, 1000); 
}
$(document).bind('keydown', function(e) {
    if (e.which == 27) {
		ocultar('#', 'modal');
    }
});

function cerrar(){
	location.href='../login';
}

function cerrarVentana(){
	window.close();
}

function recargarPagina(){
	location.reload();
}

function nuevaVentana(enlace){
	window.open(enlace);
}
function ocultarEnTiempo(tipo,campo,tiempo){
	setTimeout(function() {
        $(tipo+campo).fadeOut(500);
    },tiempo);	
}
function mostrarText(tipo,fondo,campo,texto){
	$(tipo+fondo).show(1);
	$(tipo+campo).text(texto);	
}
function mostrarText2(tipo,campo,texto){
	$(tipo+campo).text(texto);	
}
function mostrar(tipo,campo){
	$(tipo+campo).show();
}

function mostrarTiempo(tipo,campo,tiempo){
	$(tipo+campo).show(tiempo);
}

/*function ocultar(tipo,campo){
	$(tipo+campo).hide(3);
	
}*/
function ocultar(tipo,campo){
	setTimeout(function() {
		$(tipo+campo).hide(500);
	},200);
	
}

function mostrarPass(tipo,campo,check){
	if($('#'+check).is(':checked')) {
		$(tipo+campo).attr('type', 'text');
	} else {
		$(tipo+campo).attr('type', 'password');
	}
}

function css(tipo,campo,atributo,estilo){
	 $(tipo+campo).css(atributo, estilo);
}

function dato(url,div,carga,variable,dato)
{	
	$("#"+carga).show(); //activa el aviso de cargando
	$("#"+div+"Error").hide();
	var valores = dato;
	//alert(valores)
	$.ajax({
	type: "POST",
	data:variable+"="+valores,
	url: url,
	success: function(re){
    $("#"+carga).hide(); // apaga aviso
    $("#"+div).show(1);
    $("#"+div).html(re);// Mostrar la respuesta del servidor en el div con el id "respuesta";
	}
	});	
}

function guardar(url,f,div,carga)
{	
	//alert(url,div)
	if(validar(url)==0){
	}else{
	//alert(f)
	$("#"+carga).show(); //activa el aviso de cargando
	$("#"+div+"Error").hide();
	var valores = $("#"+f).serialize();
	//alert(valores)
	$.ajax({
	type: "POST",
	data:valores,
	url: url,
	success: function(re){
    $("#"+carga).hide(); // apaga aviso
    $("#"+div).show(1);
    $("#"+div).html(re);// Mostrar la respuesta del servidor en el div con el id "respuesta";
	}
	});	
	}
}

function boton(formu,div,archivo,carga,boton) {
	if(validar(archivo)==0){
	}else{
		$("#" + carga).show();
		var f = $(this);
		var formData = new FormData(document.getElementById(formu));
		formData.append("dato", "valor");
		var llamada = $.ajax({
			url: archivo,
			type: "post",
			dataType: "html",
			data: formData,
			cache: false,
			contentType: false,
			processData: false
		}).done(function(res) {
			$("#"+carga).hide(); // apaga aviso
    		$("#"+div).show(1);
			$("#"+div).html(res)
		})
		
	}
}


function validar(url){
	
	if(url=='crear_tarea1.php'){	
		
		if($("#empG_id").val()=='-'){
			$(".empG_id").show(1);
			$(".empG_id").text('Por favor seleccione el centro de trabajo');
			setTimeout(function() {
				$(".empG_id").fadeOut(1500);
			},3000);
			tarea.empG_id.focus();
			return false;
		}
		
		if($("#tarea_FKcategoria").val()=='-'){
			$(".tarea_FKcategoria").show(1);
			$(".tarea_FKcategoria").text('Por favor seleccione la categoría');
			setTimeout(function() {
				$(".tarea_FKcategoria").fadeOut(1500);
			},3000);
			tarea.tarea_FKcategoria.focus();
			return false;
		}
		
		if(isNaN($('#tarea_cc_nit').val())){
			$(".tarea_cc_nit").show(1);
			$(".tarea_cc_nit").text('Debe ser caracteres númericos');
			setTimeout(function() {
				$(".tarea_cc_nit").fadeOut(1500);
			},3000);
			tarea.tarea_cc_nit.focus();
			return false;
		}	
		
		if($("#tarea_asunto").val().length < 1 ){
			$(".tarea_asunto").show(1);
			$(".tarea_asunto").text('Por favor digite el asunto del Caso');
			setTimeout(function() {
				$(".tarea_asunto").fadeOut(1500);
			},3000);
			tarea.tarea_asunto.focus();
			return false;
		}	

		if($("#tarea_desc").val().length < 1 ){
			$(".tarea_desc").show(1);
			$(".tarea_desc").text('Por favor digite la descripción del Caso');
			setTimeout(function() {
				$(".tarea_desc").fadeOut(1500);
			},3000);
			tarea.tarea_desc.focus();
			return false;
		}
			
	}
	
	if(url=='mostrar_calendario1_controlador.php'){	
		
		if($("#empG_id").val()=='-'){
			$(".empG_id").show(1);
			$(".empG_id").text('Por favor seleccione el centro de trabajo');
			setTimeout(function() {
				$(".empG_id").fadeOut(1500);
			},3000);
			calen.empG_id.focus();
			return false;
		}
	}
	
	if(url=='mostrar_calendario_pendientes.php'){	
		
		if($("#empG_id").val()=='-'){
			$(".empG_id").show(1);
			$(".empG_id").text('Por favor seleccione el centro de trabajo');
			setTimeout(function() {
				$(".empG_id").fadeOut(1500);
			},3000);
			calen_pen.empG_id.focus();
			return false;
		}
	}
	
	if(url=='crear_cliente1.php'){
		
		if($("#cli_ident").val().length < 1 ){
			$(".cli_ident").show(1);
			$(".cli_ident").text('Por favor digite la identificación del ciente');
			setTimeout(function() {
				$(".cli_ident").fadeOut(1500);
			},3000);
			crear_cliente.cli_ident.focus();
			return false;
		}
		
		if(isNaN($('#cli_ident').val())){
			$(".cli_ident").show(1);
			$(".cli_ident").text('Debe ser caracteres númericos');
			setTimeout(function() {
				$(".cli_ident").fadeOut(1500);
			},3000);
			crear_cliente.cli_ident.focus();
			return false;
		}	
		
		if($("#cli_nombre").val().length < 1 ){
			$(".cli_nombre").show(1);
			$(".cli_nombre").text('Por favor digite el nombre del cliente');
			setTimeout(function() {
				$(".cli_nombre").fadeOut(1500);
			},3000);
			crear_cliente.cli_nombre.focus();
			return false;
		}	
		
		
		
		if($("#cli_dir").val().length < 1 ){
			$(".cli_dir").show(1);
			$(".cli_dir").text('Por favor digite la dirección del ciente');
			setTimeout(function() {
				$(".cli_dir").fadeOut(1500);
			},3000);
			crear_cliente.cli_dir.focus();
			return false;
		}	
		
		if(isNaN($('#cli_cel').val())){
			$(".cli_cel").show(1);
			$(".cli_cel").text('Debe ser caracteres númericos');
			setTimeout(function() {
				$(".cli_cel").fadeOut(1500);
			},3000);
			crear_cliente.cli_cel.focus();
			return false;
		}


		
	}
	
	if(url=='crear_categoria1.php'){
		
		if($("#cat_nombre").val().length < 1 ){
			$(".cat_nombre").show(1);
			$(".cat_nombre").text('Por favor digite la categoría');
			setTimeout(function() {
				$(".cat_nombre").fadeOut(1500);
			},3000);
			crear_cate.cat_nombre.focus();
			return false;
		}
		
		if($("#cat_des").val().length < 1 ){
			$(".cat_des").show(1);
			$(".cat_des").text('Por favor digite la descripción de la categoría');
			setTimeout(function() {
				$(".cat_des").fadeOut(1500);
			},3000);
			crear_cate.cat_des.focus();
			return false;
		}
		
	}
	
	if(url=='crear_tarea.php'){
		
		if($("#empG_id").val()=='-'){
			$(".empG_id").show(1);
			$(".empG_id").text('Por favor seleccione el grupo');
			setTimeout(function() {
				$(".empG_id").fadeOut(1500);
			},3000);
			empGrupo.empG_id.focus();
			return false;
		}
		
		if($("#user_id_sele").val()=='-'){
			$(".user_id_sele").show(1);
			$(".user_id_sele").text('Por favor seleccione un usuario');
			setTimeout(function() {
				$(".user_id_sele").fadeOut(1500);
			},3000);
			empGrupo.user_id_sele.focus();
			return false;
		}
		
	}
	
	if(url=='mostrar_calendario_pen.php'){
		
		if($("#empG_id").val()=='-'){
			$(".empG_id").show(1);
			$(".empG_id").text('Por favor seleccione el grupo');
			setTimeout(function() {
				$(".empG_id").fadeOut(1500);
			},3000);
			empGrupo.empG_id.focus();
			return false;
		}
		
	}
	
	
	/*if(url=='crear_respesta_tarea1.php'){
		
		if($("#tareaD_respu").val().length < 1 ){
			$(".tareaD_respu").show(1);
			$(".tareaD_respu").text('Por favor digite el asunto de la tarea');
			setTimeout(function() {
				$(".tareaD_respu").fadeOut(1500);
			},3000);
			resObserTar.tareaD_respu.focus();
			return false;
		}	
		
		if($("#tareaD_tiempo").val().length < 1 ){
			$(".tareaD_tiempo").show(1);
			$(".tareaD_tiempo").text('Por favor digite el tiempo invertido en el proceso');
			setTimeout(function() {
				$(".tareaD_tiempo").fadeOut(1500);
			},3000);
			resObserTar.tareaD_tiempo.focus();
			return false;
		}	
		
		if(isNaN($('#tareaD_tiempo').val())){
			$(".tareaD_tiempo").show(1);
			$(".tareaD_tiempo").text('Debe ser caracteres númericos');
			setTimeout(function() {
				$(".tareaD_tiempo").fadeOut(1500);
			},3000);
			resObserTar.tareaD_tiempo.focus();
			return false;
		
		}
	}*/
	
	
	
	if(url=='principal1.php'){
		
		if($("#user_login").val().length < 1 ){
			$(".user_login").show(1);
			$(".user_login").text('Por favor digite el usuario');
			setTimeout(function() {
				$(".user_login").fadeOut(1500);
			},3000);
			login.user_login.focus();
			return false;
		}		

		if($("#user_pass").val().length < 1 ){
			$(".user_pass").show(1);
			$(".user_pass").text('Por favor digite el contraseña');
			setTimeout(function() {
				$(".user_pass").fadeOut(1500);
			},3000);
			login.user_pass.focus();
			return false;
		}
		
		if(grecaptcha.getResponse() == '') {
			$(".captcha").show(1);
			$(".captcha").text('Por favor seleccione el captcha');
			setTimeout(function() {
				$(".captcha").fadeOut(1500);
			},3000);
			login.captcha.focus();
			return false;
		}
			
	}
	
	if(url=='recordar_pass1.php'){
		
		if($("#login_email").val().length < 1 ){
			$(".login_email").show(1);
			$(".login_email").text('Por favor digite correo electrónico');
			setTimeout(function() {
				$(".login_email").fadeOut(1500);
			},3000);
			recor.login_email.focus();
			return false;
		}
		
		if($("#login_email").val().length >= 1 ){
			if($("#login_email").val().indexOf('@',0)== -1 || $("#login_email").val().indexOf('.',0)== -1){
				$(".login_email").show(1);
				$(".login_email").text('Por favor digite el correo electrónico valido');
				setTimeout(function() {
					$(".login_email").fadeOut(1500);
				},3000);
				recor.login_email.focus();
				return false;
			}
		}
	}
	
	if(url=='cargar_ima_con1.php'){
		
		arc=$("#archivo").val();
		var extensiones = arc.substring(arc.lastIndexOf("."));

		if($("#archivo").val().length < 1 ){
			$(".archivo").show(1);
			$(".archivo").text('Por favor seleccione una imagen(Firma)');
			setTimeout(function() {
				$(".archivo").text('');
			},3000);
			firma.archivo.focus();
			return false;
		}	
		
		if((extensiones != '.jpg') && (extensiones != '.jpeg') && (extensiones != '.png')){
			$(".archivo").show(1);
			$(".archivo").text('Por favor seleccione la imagen(Firma) JPG, subiendo '+extensiones);
			setTimeout(function() {
				$(".archivo").text('');
			},3000);
			firma.archivo.focus();
			return false;
		}
	}
}